<?xml version='1.0' encoding='UTF-8'?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <parent>
        <groupId>net.ihe.gazelle</groupId>
        <artifactId>AssertionManagerGui</artifactId>
        <version>5.1.1-SNAPSHOT</version>
        <relativePath>../pom.xml</relativePath>
    </parent>

    <modelVersion>4.0.0</modelVersion>
    <artifactId>AssertionManagerGui-war</artifactId>
    <packaging>war</packaging>
    <name>AssertionManagerGui-WAR</name>

    <properties>
        <maven.build.timestamp.format>yyyyMMddHHmmss</maven.build.timestamp.format>
        <gazelle-assets-version>${maven.build.timestamp}</gazelle-assets-version>
    </properties>

    <build>
        <plugins>
            <plugin>
                <groupId>de.smartics.maven.plugin</groupId>
                <artifactId>maven-buildmetadata-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>gazelle-plugins</artifactId>
                <configuration>
                    <ignoredParamNames>
                        <ignoredParamName>dataScrollerId</ignoredParamName>
                        <ignoredParamName>mainDivId</ignoredParamName>
                        <ignoredParamName>position</ignoredParamName>
                        <ignoredParamName>idToRerender</ignoredParamName>
                        <ignoredParamName>beanName</ignoredParamName>
                        <ignoredParamName>extensions</ignoredParamName>
                        <ignoredParamName>multiple</ignoredParamName>
                        <ignoredParamName>dataTableId</ignoredParamName>
                        <ignoredParamName>formParam</ignoredParamName>
                        <ignoredParamName>callerPageParam</ignoredParamName>
                        <ignoredParamName>showActions</ignoredParamName>
                        <ignoredParamName>formId</ignoredParamName>
                        <ignoredParamName>idSuffix</ignoredParamName>
                        <ignoredParamName>selectedActorForConfigs</ignoredParamName>
                        <ignoredParamName>idSchemeIdToRefresh</ignoredParamName>
                        <ignoredParamName>tabId</ignoredParamName>
                        <ignoredParamName>pageName</ignoredParamName>
                        <ignoredParamName>hideRowsSelect</ignoredParamName>
                    </ignoredParamNames>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-war-plugin</artifactId>
                <executions>
                    <execution>
                        <phase>prepare-package</phase>
                        <goals>
                            <goal>exploded</goal>
                        </goals>
                    </execution>
                </executions>
                <configuration>
                    <webResources>
                        <resource>
                            <directory>src/main/webapp</directory>
                            <includes>
                                <include>**/web.xml</include>
                                <include>**/components.xml</include>
                                <include>**/template.xhtml</include>
                                <include>**/_footer.xhtml</include>
                            </includes>
                            <filtering>true</filtering>
                        </resource>
                    </webResources>
                </configuration>
            </plugin>
            <plugin>
                <groupId>com.samaxes.maven</groupId>
                <artifactId>minify-maven-plugin</artifactId>
                <executions>
                    <!-- 					<execution> -->
                    <!-- 						<id>default-minify</id> -->
                    <!-- 						<phase>prepare-package</phase> -->
                    <!-- 						<configuration> -->
                    <!-- 							<charset>UTF-8</charset> -->
                    <!-- 							<cssSourceDir>stylesheet</cssSourceDir> -->
                    <!-- 							<webappSourceDir>${project.build.directory}/${artifactId}-${version}</webappSourceDir> -->
                    <!-- 							<cssSourceFiles> -->

                    <!-- 								<cssSourceFile>theme.css</cssSourceFile> -->
                    <!-- 								<cssSourceFile>skin.css</cssSourceFile> -->
                    <!-- 								<cssSourceFile>laguna.css</cssSourceFile> -->
                    <!-- 								<cssSourceFile>theme_gazelle.css</cssSourceFile> -->
                    <!-- 								<cssSourceFile>PDC_themes.css</cssSourceFile> -->
                    <!-- 								<cssSourceFile>theme-simu.css</cssSourceFile> -->
                    <!-- 								<cssSourceFile>bootstrap_3_0_3.min.css</cssSourceFile> -->
                    <!-- 								<cssSourceFile>bootstrap-theme_3_1_0.min.css</cssSourceFile> -->
                    <!-- 								<cssSourceFile>inplaceInput.css</cssSourceFile> -->
                    <!-- 								<cssSourceFile>tooltip.css</cssSourceFile> -->

                    <!-- 							</cssSourceFiles> -->
                    <!-- 							<cssFinalFile>gazelle-assertion-manager-${gazelle-assets-version}.css</cssFinalFile> -->
                    <!-- 							<jsSourceDir>jscript</jsSourceDir> -->
                    <!-- 							<jsSourceFiles> -->
                    <!-- 								<jsSourceFile>gazelleTools.js</jsSourceFile> -->
                    <!-- 							</jsSourceFiles> -->
                    <!-- 							<jsFinalFile>gazelle-assertion-manager-${gazelle-assets-version}.js</jsFinalFile> -->
                    <!-- 							<jsEngine>CLOSURE</jsEngine> -->
                    <!-- 						</configuration> -->
                    <!-- 						<goals> -->
                    <!-- 							<goal>minify</goal> -->
                    <!-- 						</goals> -->
                    <!-- 					</execution> -->
                </executions>
            </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>net.ihe.gazelle.simulators</groupId>
            <artifactId>simulator-common-war</artifactId>
            <type>war</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.maven</groupId>
            <artifactId>gazelle-seam-tools-war</artifactId>
            <type>war</type>
        </dependency>
        <dependency>
            <groupId>gazelle.ihe.net.rest</groupId>
            <artifactId>rest-service-doc-war</artifactId>
            <version>${rest-service-doc-version}</version>
            <type>war</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-assets</artifactId>
            <version>2.0.29</version>
            <type>war</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-gdpr-war</artifactId>
            <version>1.5.0</version>
            <type>war</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>cas-client-ui-v7</artifactId>
            <type>war</type>
        </dependency>

    </dependencies>
</project>
